<?php /* Template Name: Overlay Home Page */ ?>
<?php get_header(); ?>

<!--   --------------------  Set Up Search Bar -------------------- -->

<div class="sticky-top sticky-stack">
	<div class="container">
     <div class="tessera-search-bar"></div>
	</div>
</div>


<!--   --------------------  Set Up Cards -------------------- -->
	   
<?php 
  $time_now = current_time('timestamp');
  $date_now = date('Y-m-d', $time_now);
  $time_end = strtotime('+1000 day', $time_now);
  $date_end = date('Y-m-d', $time_end);

  query_posts(array( 
    'post_type' => 'shows',
    'post_status' => 'publish',
    'posts_per_page' => -1, 
    'meta_query'    => array(
      array(
            'key'     => 'date_and_time_of_show',
            'compare'   => 'BETWEEN',
            'value'     => array( $date_now, $date_end ),
            'type'      => 'DATETIME'
        )
      ),
    'order'       => 'ASC',
    'orderby'     => 'meta_value',
    'meta_key'      => 'date_and_time_of_show',
    'meta_type'     => 'DATETIME'
  ));

?>

<div class="container my-5">
  <div class="row row-cols-1 row-cols-md-2 row-cols-lg-3 g-4 tessera-card-deck"> 

    <!-- Create Event Objects array -->
    <script>
      var eventObjects = [];
    </script>

    <?php   
    while (have_posts() ) : the_post();
      $showImage = get_field('show_image');
      $showImageURL = $showImage['sizes']['large'];
      $headliners = get_field('headliner');
      $totalHeadliners = count(is_array(get_field('headliner')) ? get_field('headliner') : []);
      $headlinersIndex = 0;
      $additionalArtists = get_field('additional_artists');
      $totalAdditionalArtists = count(is_array(get_field('additional_artists')) ? get_field('additional_artists') : []);
      $additionalArtistsIndex = 0;
      $externalLink = get_field('external_ticket_button_url');
      $externalLinkButtonText = get_field('external_ticket_button_text');
      $allLinksExternal = get_field('all_links_external');
      $showTags = get_field('public_tags');
      $totalTags = count(is_array(get_field('public_tags')) ? get_field('public_tags') : []);
      $tagsIndex = 0;
      $additionalIndex = 0;

      $headlinersString = "";
      if (is_array($headliners)) {
        foreach ($headliners as $hp) {
          $headlinersIndex++;
          $headlinersString .= $hp->post_title;
          if ($headlinersIndex < $totalHeadliners) {
          $headlinersString .= ", ";
          }
        }
      }

      $headlinersArray = array();
      if (is_array($headliners)) {
        foreach ($headliners as $hp) {
          $headlinersArray[] =  "\"" . addslashes($hp->post_title) . "\"";
        }
      }
      

      $additionalArtistsString = "";
      if (is_array($additionalArtists)) {
        $additionalsIndex = 0;
        foreach ($additionalArtists as $ap) {
          $additionalsIndex++;
          $additionalArtistsString .= $ap->post_title;
          if ($additionalsIndex < $totalAdditionalArtists) {
          $additionalArtistsString .= " + ";
          }
        }
      }

      $additionalArtistsArray = array();
      if (is_array($additionalArtists)) {
        foreach ($additionalArtists as $ap) {
          $additionalArtistsArray[] = "\"" . addslashes($ap->post_title) . "\"";
        }
      }
            
      $showTagsString = "";
      if (is_array($showTags)) {
        foreach ($showTags as $st) {
          $tagsIndex++;
          $showTagsString .= $st->slog;
          if ($tagsIndex < $totalTags) {
          $showTagsString .= ", ";
          }
        }
      }

      $showTagsArray = array();
      if (is_array($showTags)) {
        foreach ($showTags as $st) {
          $showTagsArray[] = "\"" . addslashes($st->post_title) . "\"";
        }
      }
              
      $showDateTime = get_field('date_and_time_of_show');
      $showDateTimeArray = explode(' ', $showDateTime, 2);
      $showDate = $showDateTimeArray[0];
      $showTime = $showDateTimeArray[1];
      $formattedDate = date('M d', strtotime($showDate));
      $formattedMonthNum = date('m', strtotime($showDate));
      $formattedTime = date("g:iA", strtotime($showTime));
      $formattedTime = str_replace(':00', '', $formattedTime);
      $showDoorTime = get_field('door_time');

      if ($showDoorTime) {
        $formattedDoorTime = date("g:iA", strtotime($showDoorTime));
        $formattedDoorTime = str_replace(':00', '', $formattedDoorTime);
      }	
    
      $buyNowButtonText = get_field('custom_buy_now_button');
      if ($buyNowButtonText == '') {
        $buyNowButtonText = "Buy Now";
      }
    ?>
	
    <!-- Card Col -->
    <div class="col">

      <!-- Show Card -->
      <div class="card mb-3 h-100 tessera-show-card" id="<?php echo get_the_ID() ?>" data-venue="<?php echo get_field('venue')->post_title ?>" data-month="<?php echo $formattedMonthNum ?>" data-tags="">

        <!-- Card Header -->
        <div class="card-header">
          <div class="tessera-has-inventory">
            <?php if( get_field('special_notice') ): ?><div class="special_notice"><?php the_field('special_notice'); ?></div><?php endif; ?>
            <a href="<?php if ($allLinksExternal == true){ echo $externalLink; } else { echo get_permalink(); } ?>"><img class="card-img-top" src="<?php echo $showImageURL ?>"></a>
          </div>
        </div>

        <!-- Card Body -->
        <div class="card-body d-flex flex-column">
          <div class="tessera-date">
            <span class="date"><?php echo $formattedDate ?></span>
          </div>
          <div class="tessera-primaryBandAppend mt-3"><?php if (the_field('primary_band_append') != '') { ?><div class="tessera-primaryBandAppend"><?php echo the_field('primary_band_append') ?></div><?php } ?></div>
          <a href="<?php if ($allLinksExternal == true){ echo $externalLink; } else { echo get_permalink(); } ?>"><h4 class="card-title fw-bold my-1"><?php echo $headlinersString ?></h4></a>
          <?php if ($additionalArtistsString != '') { ?><div class="tessera-additionalArtists"><?php echo $additionalArtistsString ?></div><?php } ?>

          <div class="row mt-auto align-items-center tessera-buttons-container">
            <div class="col-10">
              <div class="buy-now" data-sku-id="" data-sku-count="" data-uses-seating-chart=""><?php if($externalLink != ''){ ?> <a target="_blank" href="<?php echo $externalLink ?>"><?php echo $externalLinkButtonText ?><i class="bi bi-box-arrow-up-right external-link-icon"></i></a> <?php } else { echo $buyNowButtonText; } ?></div>
            </div>
            <div class="col-2">
              <a href="<?php if ($allLinksExternal == true){ echo $externalLink; } else { echo get_permalink(); } ?>" class="more-info text-end"><i class="bi bi-info-circle"></i></a>
            </div>
          </div>
        </div>

        <!-- Card Footer -->
        <div class="card-footer text-start">
          <div class="tessera-venue fw-bold"> <i class="bi bi-geo-alt-fill mr-1"></i> <?php echo get_field('venue')->post_title ?> <?php if (get_field('genre') != '') { ?> <i class="bi bi-dot"></i> <?php echo the_field('genre') ?><?php } ?></div>
          <div class="tessera-showTimes">Doors <?php echo $formattedDoorTime ?> | Show <?php echo $formattedTime ?></div>
        </div>

      <!-- End Show Card   -->
      </div>

    <!-- End Card Col -->
    </div>

    <!-- Add to Event Objects -->
    <script>
      eventObjects.push({
        "id": <?php echo get_the_ID(); ?>,
        "eventDate": "<?php echo the_field('date_and_time_of_show'); ?>",
        "additionalInformation": "<?php echo the_field('primary_band_append'); ?>",
        "mainArtist": [<?php if (count($headlinersArray) > 0) echo implode(",", $headlinersArray); ?>],
        "additionalArtists": [<?php if (count($additionalArtistsArray) > 0) echo implode(",", $additionalArtistsArray); ?>],
        "venue": "<?php echo get_field('venue')->post_title; ?>",
        "image": "<?php echo $showImageURL; ?>",
        "isTesseraProduct": <?php echo $externalLink == ''; ?>,
        "externalLink": "<?php echo $externalLink; ?>",
        "externalLinkButtonText": "<?php echo $externalLinkButtonText; ?>",
        "doors": "<?php echo the_field('door_time'); ?>",
        "buyNowButtonText": "<?php echo the_field('custom_buy_now_button'); ?>",
        "tags": [<?php if (count($showTagsArray) > 0) echo implode(",", $showTagsArray); ?>],
        "ages": "<?php echo the_field('genre'); ?>"});
    </script>

	  <?php endwhile; ?>
	
  </div> <!-- End Card Deck -->
</div> <!-- End Container -->

<!-- Tessera Init -->
<?php get_template_part('partials/tessera-conf', 'file', array('type' => 'home')) ?>

<?php get_footer(); ?>