<?php get_header(); ?>
<?php
$postID = get_the_id();
?>

<script>
var thisShow = {
  eventID: '<?php echo get_queried_object_id() ?>',
  eventTitle: '<?php echo the_title(); ?>',
  dateandTime: '<?php echo the_field('date_and_time_of_show');?>',
  doorTime: '<?php echo the_field('door_time');?>',
  showImageURL: '<?php echo esc_url(get_field('show_image')['url']); ?>',
  eventVenueName: '<?php echo esc_html(get_field('venue')->post_title ); ?>',
  eventGenre: '<?php echo the_field('genre'); ?>',
  externalLink: '<?php echo get_field('external_ticket_button_text'); ?>'
};
</script>

<?php
  $showImage = get_field('show_image');
  $showImageURL = $showImage['sizes']['large'];

  $showDateTime = get_field('date_and_time_of_show');
  $showDateTimeArray = explode(' ', $showDateTime, 2);
  $showDate = $showDateTimeArray[0];
  $showTime = $showDateTimeArray[1];
  $formattedDay = date('l', strtotime($showDate));
  $formattedDate = date('M d', strtotime($showDate));
  $formattedTime = date("g:iA", strtotime($showTime));
  $fomattedTimeZeros = $formattedTime; // preserving the format with zeros.
  // Latest show I found was at 10pm. adding 1:59 to it leaves it on the same day.
  // (60 + 59) minutes * 60 seconds/minute = 7140 seconds
  $formattedEndTime = date("g:iA", strtotime($showTime) + 7140);
  $formattedTime = str_replace(':00', '', $formattedTime);
  $showDateAndTime = $showDate . ' ' . $fomattedTimeZeros; // this is used for google
  $showEndDateAndTime = $showDate . ' ' . $formattedEndTime;

  $showDoorTime = get_field('door_time');
  $formattedDoorTime = date("g:iA", strtotime($showDoorTime));
  $formattedDoorTime = str_replace(':00', '', $formattedDoorTime);

  $showVenue = get_field('venue');
  $showVenueName = $showVenue->post_title;
  $showVenueSlug = $showVenue->post_name;
  $showVenueId = $showVenue->ID;
  $showVenueAddress = get_field('address', $showVenueId);
  $showVenueAddress1 = get_field('address_1', $showVenueId);
  $showVenueAddress2 = get_field('address_2', $showVenueId);

  $showVenueCity = get_field('city', $showVenueId);
  $showState = get_field('state', $showVenueId);
  $showVenueZip = get_field('zip', $showVenueId);
?>

<!-- Event Location -->

<!-- Event Container -->
<div class="event-location py-1">
  <div class="container mb-0 ps-0 pe-0">

    <!-- Event Card -->
    <div class="tessera-event-location card">
      <div class="card-body">
 	      <div class="row tessera-card-container">

          <!-- Event Image -->
          <div class="col-md-6 mb-3">
            <div class="tessera-image" style="background-image:url('<?php echo esc_url(get_field('show_image')['url']); ?>');">
		          <?php if( get_field('special_notice') ): ?><div class="special_notice"><?php the_field('special_notice'); ?></div><?php endif; ?>
            </div>
          </div>

          <!-- Event Info -->
          <div class="col-md-6 pt-1">
            <div class="tessera-show-info">
		          <span class="date">            
                <span class="day"><?php echo $formattedDate; ?></span>
              </span>  
			        <h2 class="card-title tessera-title d-none"><?php echo the_title(); ?></h2>
              <?php
                $primaryBandAppend = get_field('primary_band_append');
                if ($primaryBandAppend) { ?>
                  <div class="primaryBandAppend"><?php echo $primaryBandAppend; ?></div>
              <?php } ?>

              <!-- Headliners -->
              <div class="tessera-artists">
                <?php 
                  $headliners = get_field('headliner');
                  if( $headliners ):
                    $counter = 0;
                    $total = count($headliners);
                    $noCommaClass = '';
                ?>
                <?php foreach( $headliners as $post): // variable must be called $post (IMPORTANT)
                  $counter++;
                  if ($counter == $total) {
                    $noCommaClass = 'd-none';
                  }
                ?>
                <?php setup_postdata($post); ?>
                <?php if (get_field('website')) { ?>
                  <h2><a href="<?php the_field('website'); ?>" target="_blank"><?php the_title(); ?></a><span class="<?php echo $noCommaClass; ?>">, </span></h2>
                <?php } else { ?>
                  <h2><?php the_title(); ?><span class="<?php echo $noCommaClass; ?>">, </span></h2>
                <?php } ?>
                <?php endforeach; ?>
                <?php wp_reset_postdata(); // IMPORTANT - reset the $post object so the rest of the page works correctly ?>
                <?php endif; ?>

                <!-- Additional Artists -->
                <?php if( get_field('additional_artists') ): ?>
                <?php 
                  $additionalArtists = get_field('additional_artists');
                  $total = count(get_field('additional_artists'));
                  $counter = 0;
                  $noCommaClass = '';
                ?>
                <div class="additional-artists">
                  <?php 
                    foreach( $additionalArtists as $post): // variable must be called $post (IMPORTANT)
                    $counter++;
                    if ($counter == $total) {
                      $noCommaClass = 'd-none';
                  }
                  ?>
                  <?php if (get_field('website')) { ?>
                    <span><a href="<?php the_field('website'); ?>" target="_blank"><?php the_title(); ?></a><span class="<?php echo $noCommaClass; ?>">, </span></span>
                  <?php } else { ?>
                    <span><?php the_title(); ?><span class="<?php echo $noCommaClass; ?>">, </span></span>
                  <?php } ?>
                  <?php endforeach; ?>
                  <?php wp_reset_postdata(); // IMPORTANT - reset the $post object so the rest of the page works correctly ?>
                </div>
                <?php endif; ?>
              </div>

              <!-- Card Info -->
			        <div class="cardinfo">
                <div class="time-item geo-venue fw-bold">
                  <i class="bi bi-geo-alt-fill"></i>
                  <span><?php echo $showVenueName; ?></span>
                  <i class="bi bi-dot"></i>
                  <span><?php echo the_field('genre'); ?></span>
				        </div>
                <div class="time-item text-doors">
                  <span>Doors <?php echo $formattedDoorTime; ?> | Show <?php echo $formattedTime; ?></span>
                </div>

                <!-- Calendar Links -->
                <div class="time-item calendar-links"></div> 

                <script>
                  var cal = addToCalendar({
                    title: thisShow.eventTitle,
                    start: new Date('<?php echo $showDateTime ?>'),//new Date('June 15, 2013 19:00'),
                    duration: 120, // minutes
                    address: '<?php echo $showVenueName; ?>'
                  });

                  var googleCal = cal.querySelector('.icon-google');
                  googleCal.innerText = '+ Google Cal';

                  var iCal = cal.querySelector('.icon-ical');
                  iCal.innerText = '+ iCal';

                  document.querySelector('.calendar-links').appendChild(googleCal);
                  document.querySelector('.calendar-links').appendChild(iCal);
                </script>

                <!-- External Tickets Link -->
                <?php if (get_field('external_ticket_button_text')) { ?>
                  <div class="external-ticket-button"><a class="btn external-button" style="margin-top: 1em;" target="_blank" href="<?php the_field('external_ticket_button_url'); ?>"><?php the_field('external_ticket_button_text'); ?></a></div>
                <?php } ?>

              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>


<!-- Event Tickets -->
<div class="container my-4 tessera-ticketing">
  <div class="card rounded-0 px-0">
    <div class="card-body mx-0 px-0">

      <div class="table tessera-show-tickets" id="tessera-ticket-types"></div>


      <!-- Checkout Buttons -->
      <div class="row tessera-purchase-container tessera-checkout-code-container mt-4">
        <div class="col-xs col-sm-8 mb-2">
          <div class="row">
            <div class="col-6 col-md-6 mb-2">
              <input id="purchase-code-input" class="form-control mr-2">
            </div>
            <div class="col-6 mb-2 d-flex justify-content-end justify-content-md-start">
              <a class="btn tessera-code-button apply-code">Apply Code</a>
            </div>
          </div>
        </div>
        <div class="col-xs col-sm-4">
          <div class="tessera-add-to-cart-container d-flex justify-content-end">
            <a class="btn btn-success tessera-add-to-cart">Add To Cart</a>
          </div>
        </div>
        <div id="tessera-error-code" style="display:none;"></div> 
      </div> 
    </div>
  </div>
</div>


<!-------- THE REST IS JUST DESCRIPTION AND ADDITIONAL WORDPRESS ADDITIVES ----------->

<!-- About The Event -->

<div class="container my-5 about-show">
  <div class="card">
    <h3 class="card-about">About the event</h3>
    <div class="card-body">
      <?php
      $posts = get_field('headliner');
      if( $posts ): ?>
      <?php foreach( $posts as $post): // variable must be called $post (IMPORTANT) ?>
      <div class="about-links">
        <?php if (get_field('website')) {?>
        <?php
        $websiteUrl = get_field('website');
        $hasLinks = false;
        if (get_field('facebook_url') || get_field('instagram_handle')) {
          $hasLinks = true;
        }
        ?>
        <h6 class="mb-3">
          <a href="<?php echo $websiteUrl; ?>" target="_blank"><?xml version="1.0" encoding="UTF-8"?>
            <svg width="18px" height="18px" viewBox="0 0 22 22" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
              <defs>
                <filter id="filter-1">
                  <feColorMatrix in="SourceGraphic" type="matrix" values="0 0 0 0 0.639216 0 0 0 0 0.639216 0 0 0 0 0.639216 0 0 0 1.000000 0"></feColorMatrix>
                </filter>
              </defs>
              <g id="Show-Listing" stroke="none" stroke-width="1" fill-rule="evenodd">
                <g id="link" transform="translate(-529.000000, -1374.000000)" filter="url(#filter-1)">
                  <g transform="translate(529.000000, 1374.000000)">
                    <path d="M14.0341094,7.96601953 C16.6013633,10.5359375 16.5661289,14.656168 14.0495781,17.1866836 C14.0448516,17.1918398 14.0392656,17.1974258 14.0341094,17.202582 L11.1466094,20.090082 C8.59985156,22.6368398 4.45641797,22.6364961 1.91004688,20.090082 C-0.636710937,17.5437539 -0.636710937,13.3998477 1.91004688,10.8535195 L3.50444531,9.25912109 C3.92725781,8.83630859 4.65540625,9.11732422 4.67723438,9.71484766 C4.70507813,10.4763398 4.84163281,11.2413984 5.09360156,11.9802031 C5.1789375,12.2303672 5.11796484,12.5070859 4.93105078,12.694 L4.36871875,13.256332 C3.16447656,14.4605742 3.12670703,16.4214102 4.31908984,17.6374258 C5.52324609,18.8654297 7.50247266,18.8727344 8.71586719,17.6593398 L11.6033672,14.7722695 C12.8146992,13.5609375 12.8096289,11.6030234 11.6033672,10.3967617 C11.4443398,10.2380352 11.2841523,10.1147148 11.1590273,10.0285625 C10.9795382,9.90530736 10.868861,9.70447292 10.8605234,9.48689844 C10.8435078,9.03284766 11.0043828,8.56496094 11.3631719,8.20617187 L12.2678359,7.30146484 C12.5050664,7.06423437 12.8772188,7.03510156 13.1523047,7.22708594 C13.4673381,7.44706425 13.7624102,7.69432843 14.0341094,7.96601953 Z M20.0899102,1.90991797 C17.5435391,-0.636496094 13.4001055,-0.636839844 10.8533477,1.90991797 L7.96584766,4.79741797 C7.96069141,4.80257422 7.95510547,4.80816016 7.95037891,4.81331641 C5.43387109,7.34383203 5.39859375,11.4640625 7.96584766,14.0339805 C8.23753078,14.3056593 8.53258885,14.5529093 8.84760937,14.7728711 C9.12269531,14.9648555 9.49489062,14.9356797 9.73207812,14.6984922 L10.6367422,13.7937852 C10.9955312,13.4349961 11.1564062,12.9671094 11.1393906,12.5130586 C11.131053,12.2954841 11.0203758,12.0946497 10.8408867,11.9713945 C10.7157617,11.8852422 10.5555742,11.7619219 10.3965469,11.6031953 C9.19028516,10.3969336 9.18521484,8.43901953 10.3965469,7.2276875 L13.2840469,4.34061719 C14.4974414,3.12722266 16.476625,3.13452734 17.6808242,4.36253125 C18.873207,5.57854688 18.8354805,7.53938281 17.6311953,8.743625 L17.0688633,9.30595703 C16.8819492,9.49287109 16.8209766,9.76958984 16.9063125,10.0197539 C17.1582812,10.7585586 17.2948359,11.5236172 17.3226797,12.2851094 C17.3445508,12.8826328 18.0726563,13.1636484 18.4954687,12.7408359 L20.0898672,11.1464375 C22.636668,8.60015234 22.636668,4.45624609 20.0899102,1.90991797 L20.0899102,1.90991797 Z" id="Shape"  fill-rule="nonzero"></path>
                  </g>
                </g>
              </g>
            </svg> Website
          </a>  
        <?php } else if ($hasLinks) { ?>
          <?php the_title(); ?> Links
        <?php } ?>
        <?php if (get_field('facebook_url')) {?>
          <a href="https://<?php the_field('facebook_url'); ?>" target="_blank"><i class="bi bi-facebook"></i> Facebook</a>
        <?php } ?>
        <?php if (get_field('instagram_handle')) {?>
          <?php
          $instagramHandle = get_field('instagram_handle');
          $instagramHandle = substr($instagramHandle, 1);
        ?>
        <a href="http://www.instagram.com/<?php echo $instagramHandle; ?>" target="_blank"><i class="bi bi-instagram ms-xs-none me-1 ms-sm-1"></i> Instagram</a>
        </h6>
        <?php } ?>
      </div>

      <?php setup_postdata($post); ?>
      <?php endforeach; ?>
      <?php wp_reset_postdata(); // IMPORTANT - reset the $post object so the rest of the page works correctly ?>
      <?php endif; ?> 


      <!-- Video -->
      <?php if (get_field('video')) {?>
      <div class="tessera-artist-videos">
        <?php $videoUrl = get_field('video');
        if (strpos($videoUrl,'watch?v=') !== false) {
          $arr = explode('watch?v=', $videoUrl);
          $videoUrl = $arr[1];
        } 
        else if (strpos($videoUrl,'youtu.be/') !== false) {
          $arr = explode('youtu.be/', $videoUrl);
          $videoUrl = $arr[1];
        }
        ?>
        <div class="tessera-video-container">
          <div class="tessera-content">
            <iframe src="https://www.youtube.com/embed/<?php echo $videoUrl; ?>?rel=0" height="428" width="780" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
          </div>
        </div>
      </div>
      <?php } ?>

      <div class="show-description">
        <?php the_field('show_description'); ?>
      </div>

    <!-- End Card Body -->
    </div>

  <!-- End Card -->
  </div>

<!-- End About Show -->
</div>


<!-- Show Location -->

<div class="container my-5 location-card">
  <div class="card">
    <h3 class="card-header"><i class="bi bi-geo-alt-fill"></i> This show is at <?php echo $showVenueName; ?></h3>
    <div class="card-body px-0">
      <div class="row mt-4">
        <?php if (get_field('address_1', $showVenueId)) { ?>
        <div class="col-md-5 order-sm-first order-last">
        <?php } else { ?>
        <div class="col-md-5 order-sm-first order-last">
        <?php } ?>
          <div class="address mb-4 mb-md-0">
            <div class="buildingImage">
              <?php
              $venueImage = get_field('venue_svg', $showVenueId);
              if ($venueImage) {
              $venueImageUrl = $venueImage['url']; // we may want to modify this to be for a certain image size (like medium).
              ?>
              <img src="<?php echo $venueImageUrl; ?>" class="svg bldg-icon img-fluid" alt="Building Image">
              <?php } ?>
            </div>
          </div>
        </div>
        <?php if (get_field('address_1', $showVenueId)) { ?>
        <div class="col-md-7">
          <div class="map" style="width: 100%; max-height: 292px; overflow: hidden;">
            <a href="https://www.google.com/maps/?q=<?php echo $showVenueName; ?> <?php the_field('address_1', $showVenueId); ?>, <?php the_field('address_2', $showVenueId); ?>" target="_blank">
              <img class="img-fluid object-fit-cover" width="100%" height="100%" src="https://maps.googleapis.com/maps/api/staticmap?&center=<?php the_field('address_1', $showVenueId); ?>, <?php the_field('address_2', $showVenueId); ?>&zoom=15&size=800x240&&markers=size:mid%7Ccolor:red%7C<?php the_field('address_1', $showVenueId); ?>, <?php the_field('address_2', $showVenueId); ?>&key=AIzaSyBEixYe_ZENuTglYsrgpmVzHwIftlB44J0">
            </a>
          </div>
          <p class="mt-3">
            <?php the_field('address_1', $showVenueId); ?><br>
            <?php the_field('address_2', $showVenueId); ?><br>
            <?php the_field('phone_number', $showVenueId); ?>
          </p>
        </div>
        <?php } ?>
      </div>
    </div>
  </div>
</div>


<!-- You May Also Like -->
	
<?php 
$posts = get_field('you_may_also_like');
if( $posts ): 
?>
<div class="container my-5 may-like tessera-card-deck">
  <h3 class="fw-bold text-center mb-5"><span>You may also like</span></h3>
  <div class="row row-cols-1 row-cols-md-3 g-4">
    <?php foreach( $posts as $p ): // variable must NOT be called $post (IMPORTANT) ?>
    <?php
    $postID = $p->ID;

    $showImage = get_field('show_image', $postID);
    $showImageURL = $showImage['sizes']['medium_large'];

    $showDateTime = get_field('date_and_time_of_show', $postID);
    $showDateTimeArray = explode(' ', $showDateTime, 2);
    $showDate = $showDateTimeArray[0];
    $showTime = $showDateTimeArray[1];
    $formattedDate = date('M d', strtotime($showDate));
    // $formattedMonthFull = date('F', strtotime($showDate));
    $formattedMonthNum = date('m', strtotime($showDate));
    $formattedTime = date("g:iA", strtotime($showTime));
    $formattedTime = str_replace(':00', '', $formattedTime);

    $showDoorTime = get_field('door_time', $postID);
    $formattedDoorTime = date("g:iA", strtotime($showDoorTime));
    $formattedDoorTime = str_replace(':00', '', $formattedDoorTime);

    $showVenue = get_field('venue', $postID);
    $showVenueName = $showVenue->post_title;
    ?>
    <div class="col">
      <div class="card mb-3 h-100 tessera-show-card" data-show-id="<?php echo $postID; ?>" data-month="<?php echo $formattedMonthNum; ?>">
        <div class="card-header">
          <div class="tessera-has-inventory">
            <a href="<?php the_permalink($postID) ?>"><img src="<?php echo $showImageURL; ?>" class="card-img-top object-fit-cover" alt=""></a>
          </div>			 
        </div>	 

        <!-- Card Body -->
        <div class="card-body d-flex flex-column">
          <div class="tessera-date">
            <span class="date"><?php echo $formattedDate; ?></span>
          </div>
          <div class="tessera-primaryBandAppend">
            <?php
            $primaryBandAppend = get_field('primary_band_append', $postID);
            if ($primaryBandAppend) { ?>
            <div class="primaryBandAppend"><a href="<?php the_permalink($postID) ?>"><?php echo $primaryBandAppend; ?></a></div>
            <?php } ?></div>
            <?php 
            $headliners = get_field('headliner', $postID);
            if( $headliners ): ?>
            <?php foreach( $headliners as $post): // variable must be called $post (IMPORTANT) ?>
            <?php setup_postdata($post); ?>
            <a href="<?php the_permalink($postID) ?>"><h4 class="card-title fw-bold my-2"><?php the_title(); ?></h4></a>
            <?php endforeach; ?>
            <?php wp_reset_postdata(); // IMPORTANT - reset the $post object so the rest of the page works correctly ?>
            <?php endif; ?>	  
            <h4 class="card-title fw-bold my-2"><?php echo $primaryBandAppend; ?></h4>
            <?php 
            $additionalArtists = get_field('additional_artists', $postID);
            $total = 0;
            if (is_array(get_field('additional_artists', $postID))) {$total = count(get_field('additional_artists', $postID));};
            $counter = 0;
            $noCommaClass = '';
            if( $additionalArtists ): ?>
            <div class="additionalArtists">
            <?php foreach( $additionalArtists as $post): // variable must be called $post (IMPORTANT) ?>
            <?php
            $counter++;
            if ($counter == $total) {
            $noCommaClass = 'd-none';
            }
            ?>
            <?php setup_postdata($post); ?>
            <span><?php the_title(); ?><span class="<?php echo $noCommaClass; ?>">, </span></span>
            <?php endforeach; ?>
            <?php wp_reset_postdata(); // IMPORTANT - reset the $post object so the rest of the page works correctly ?>
          </div>
          <?php endif; ?>
          <div class="row mt-auto align-items-center">
            <div class="col-6">
              <a href="<?php the_permalink($postID) ?>"><div class="buy-now" data-sku-id="" data-sku-count="" data-uses-seating-chart=""><?php echo $buyNowButtonText ?>Tickets</div></a>
            </div>
            <div class="col-6 d-flex justify-content-end">
              <a href="<?php the_permalink($postID) ?>"><i class="bi bi-info-circle more-info-single"></i></a>
            </div>
          </div>
        </div>
        <div class="card-footer text-left">
          <div class="tessera-venue fw-bold"> <i class="bi bi-geo-alt-fill"></i> <?php echo $showVenueName; ?> <?php if (get_field('genre') != '') { ?> <i class="bi bi-dot"></i> <?php echo the_field('genre') ?><?php } ?></div>
          <div class="tessera-showTimes">Doors <?php echo $formattedDoorTime ?> | Show <?php echo $formattedTime ?></div>
        </div>
      </div>
    </div>           
  <?php endforeach; ?>  
  </div>	  
</div>
<?php endif; ?>

<!-- Tessera Init -->
<?php get_template_part('partials/tessera-conf', 'file', array('type' => 'event')) ?>

<?php get_footer(); ?>
